extends Node2D

onready var sfx = get_node("SamplePlayer")
onready var instructions = get_node("CanvasLayer/Instructions")
var ready = false

func _ready():
	set_process_input(true)

func _input(event):
	if (event.is_action_pressed("fullscreen")):
		OS.set_window_fullscreen(not OS.is_video_mode_fullscreen())
	if (event.is_action_pressed("continue")):
		sfx.play("beep")
		if (not ready):
			instructions.show()
			get_node("CanvasLayer/Countdown").hide()
			ready = true
		else:
			get_tree().change_scene("res://battle.tscn")