extends Sprite

var active = false
onready var controller = get_parent().get_parent().get_parent()

func _ready():
	pass

func _on_Area2D_body_enter( body ):
	if (body.is_in_group("cursor")):
		controller.current_bar = self

func _on_Area2D_body_exit( body ):
	if (body.is_in_group("cursor")):
		if (active):
			controller.skip()
		deactivate()
		controller.current_bar = null

func deactivate():
	active = false

func activate():
	active = true

func is_active():
	return active
